FreeDesktop.DBusObject Reference Manual

# DBusObject

## Object Hierarchy:

## Description:

public interface DBusObject : `Object`
Namespace: FreeDesktop
Package: librygel-core

## Content:

### Methods:

- public abstract `uint32` request_name (`string` name, `uint32` flags) throws `DBusError`
- public abstract `uint32` start_service_by_name (`string` name, `uint32` flags) throws `DBusError`
- public abstract async `string`[] list_names () throws `DBusError`
- public abstract async `string`[] list_activatable_names () throws `DBusError`

### Signals:

- public signal void name_owner_changed (`string` name, `string` old_owner, `string` new_owner)